Loading...
Searching...
No Matches
oval_definition_model Struct Reference
OVAL » OVALDEF

Oval definition model. More...

`#include <oval_definitions.h>`

Collaboration diagram for oval_definition_model:
[legend]

## Public Member Functions

OSCAP_API struct oval_definition_model * | oval_definition_model_new (void)
| Create an empty oval_definition_model.
OSCAP_API struct oval_definition_model * | oval_definition_model_import_source (struct oscap_source *source)
| Import the content of the oscap_source into the oval_definition_model.
OSCAP_API struct oval_definition_model * | oval_definition_model_clone (struct oval_definition_model *)
| Copy an oval_definition_model.
OSCAP_API int | oval_definition_model_export (struct oval_definition_model *, const char *file)
| Export an oval_definition_model into file.
OSCAP_API void | oval_definition_model_free (struct oval_definition_model *model)
| Free OVAL object model and all binded variable models.
Setters
OSCAP_API int | oval_definition_model_bind_variable_model (struct oval_definition_model *, struct oval_variable_model *)
| Bind an oval_variable_model to the specified oval_definition_model.
Getters
OSCAP_API struct oval_definition * | oval_definition_model_get_definition (struct oval_definition_model *, const char *id)
| Returns the appended oval_definition having the specified id.
OSCAP_API struct oval_test * | oval_definition_model_get_test (struct oval_definition_model *model, const char *id)
| Get oval test by ID.
OSCAP_API struct oval_object * | oval_definition_model_get_object (struct oval_definition_model *model, const char *id)
| Get OVAL object by ID.
OSCAP_API struct oval_state * | oval_definition_model_get_state (struct oval_definition_model *model, const char *id)
| Get OVAL state by ID.
OSCAP_API struct oval_variable * | oval_definition_model_get_variable (struct oval_definition_model *model, const char *id)
| Get OVAL variable by ID.
OSCAP_API struct oval_definition_iterator * | oval_definition_model_get_definitions (struct oval_definition_model *model)
| Returns all appended oval_definition instances.
OSCAP_API struct oval_test_iterator * | oval_definition_model_get_tests (struct oval_definition_model *model)
| Get OVAL tests.
OSCAP_API struct oval_object_iterator * | oval_definition_model_get_objects (struct oval_definition_model *model)
| Get OVAL objects.
OSCAP_API struct oval_state_iterator * | oval_definition_model_get_states (struct oval_definition_model *model)
| Get OVAL states.
OSCAP_API struct oval_variable_iterator * | oval_definition_model_get_variables (struct oval_definition_model *model)
| Get OVAL variables.
OSCAP_API const char * | oval_definition_model_supported (void)
| Get supported version of OVAL XML.
OSCAP_API struct oval_variable_model_iterator * | oval_definition_model_get_variable_models (struct oval_definition_model *)
| Return the list of variable models bound to the specified oval_definition_model.

## Data Fields

struct oval_generator * | generator
struct oval_string_map * | definition_map
struct oval_string_map * | test_map
struct oval_string_map * | object_map
struct oval_string_map * | state_map
struct oval_string_map * | variable_map
struct oval_collection * | bound_variable_models
char * | schema
struct oval_string_map * | vardef_map
| look-up table for efficient @variable_instance processing

## Detailed Description

Oval definition model.

The documentation for this struct was generated from the following files:

- oval_defModel.c
- oval_definitions.h